/*
 * MD5CalculatorTest.java
 * JUnit based test
 *
 * Created on 2  2005 ., 18:43
 */

package classes;

import junit.framework.*;
import java.io.*;

/**     MD5Calculator.
 *      ,   
 * "_/test/test_files".   MD5 
 *         md5sum
 * (http://www.etree.org/index.html).
 *
 * @author  
 */
public class MD5CalculatorTest extends TestCase {
    
    private MD5Calculator calc = null;
    
    public MD5CalculatorTest(String testName) {
        super(testName);
    }

    protected void setUp() throws java.lang.Exception {
        // 
        calc = new MD5Calculator();
    }

    protected void tearDown() throws java.lang.Exception {
    }

    public static junit.framework.Test suite() {
        junit.framework.TestSuite suite = new junit.framework.TestSuite(MD5CalculatorTest.class);
        
        return suite;
    }

    /**
     *   calculate,  classes.MD5Calculator.
     *        
     *  "_/test/test_files"
     */
    public void testCalculate() {
        System.out.println("testCalculate");
        
        try {
            calc.readMessage(new File("./test/test_files/test_0_byte.txt"));
            assertTrue(calc.calculate().equals("d41d8cd98f00b204e9800998ecf8427e"));
            calc.readMessage(new File("./test/test_files/test_a_byte.txt"));
            assertTrue(calc.calculate().equals("0cc175b9c0f1b6a831c399e269772661"));
            calc.readMessage(new File("./test/test_files/test_4_byte.txt"));
            assertTrue(calc.calculate().equals("81dc9bdb52d04dc20036dbd8313ed055"));
            calc.readMessage(new File("./test/test_files/test_5_byte.txt"));
            assertTrue(calc.calculate().equals("827ccb0eea8a706c4c34a16891f84e7b"));
            calc.readMessage(new File("./test/test_files/test_64_byte.txt"));
            assertTrue(calc.calculate().equals("eb6c4179c0a7c82cc2828c1e6338e165"));
            calc.readMessage(new File("./test/test_files/test_288_byte.txt"));
            assertTrue(calc.calculate().equals("5ea72b96eb4f92ad5105a64480495769"));
        }
        catch(IOException ioe) {
            System.err.println(": " + ioe.getMessage());
        }
    }
}
